%define	name	mrtg
%define	version	2.9.17
%define	release	4mdk

Summary:	Multi Router Traffic Grapher
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
URL:		http://www.mrtg.org/
Source0:	%{name}-%{version}.tar.bz2
Source1:	mrtg.cfg
Requires:	perl >= 5.003 gd-devel >= 1.7 common-licenses
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
The Multi Router Traffic Grapher (MRTG) is a tool to monitor the
traffic load on network-links. MRTG generates HTML pages containing
PNG images which provide a LIVE visual representation of this traffic.

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}

%build

%configure

%make prefix=%{_prefix}

%install
rm -rf %{buildroot}
%makeinstall
install -d %{buildroot}%{_datadir}


install -d %{buildroot}/var/www/html/mrtg
install -d %{buildroot}%{perl_sitearch}

mv %{buildroot}%{_prefix}/man %{buildroot}%{_mandir}

find contrib | cpio -dpm %{buildroot}%{_libdir}/mrtg2

install -m 644 images/*.png %{buildroot}/var/www/html/mrtg
install -m 644 doc/*.html %{buildroot}/var/www/html/mrtg/
install -m 644 %{SOURCE1} %{buildroot}/var/www/html/mrtg/
install -m 755 -c lib/mrtg2/{Pod/*pm,*pm} %{buildroot}%{perl_sitearch}/

rm -rf %{buildroot}/%{_libdir}/mrtg2/{*gif,*png,Pod/*pm,*pm}
rm -rf %{buildroot}/%{_libdir}/mrtg2/contrib/mrtgmk/src/

rm -rf $RPM_BUILD_DIR/%{name}-%{version}/doc/*.pod~

# provide only png files an their references
perl -p -i -e "s|GIF|PNG|g" %{buildroot}/var/www/html/mrtg/*.html
perl -p -i -e "s|gif|png|g" %{buildroot}/var/www/html/mrtg/*.html

%post
 if ! grep '* * * * root %{_bindir}/mrtg' /etc/crontab > /dev/null; then
  echo "" >> /etc/crontab
  echo "0-59/5 * * * * root %{_bindir}/mrtg /var/www/html/mrtg/mrtg.cfg" >> /etc/crontab
 fi

%postun
if [ "$1" = "0" ]; then
        grep -v '* * * * root %{_bindir}/mrtg' /etc/crontab > /etc/crontab.new
        cp /etc/crontab.new /etc/crontab
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ANNOUNCE CHANGES MANIFEST README doc/*
%dir /var/www/html/mrtg
%config(noreplace) /var/www/html/mrtg/mrtg.cfg
%{_bindir}/*
%{_libdir}/mrtg2/*
%{perl_sitearch}/*
%{_mandir}/*/*
/var/www/html/mrtg/*.png
/var/www/html/mrtg/*.html

%changelog
* Sun Dec 2 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.9.17-4mdk
- spec file cleanup
- removed obsolete patches
- provide only *.png files, otherwise you could get sued by unisys...

* Sun Dec  2 2001 Stefan van der Eijk <stefan@eijk.nu> 2.9.17-3mdk
- fix %%files section

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.9.17-2mdk
- rebuild against new libpng

* Mon Sep 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.9.17-1mdk
- 2.9.17

* Sun Sep  2 2001 Daouda LO <daouda@mandrakesoft.com> 2.9.7-2mdk
- rebuilt against gd.

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.9.7-1mdk
- updated 2.9.7

* Thu Dec 14 2000 Florin Grad <florin@mandrakesoft.com> 2.9.6-1mdk
- 2.9.6
- update the patch
- remove the mv command in postun (it's cp now :) rpmlint-wise

* Fri Oct 27 2000 Vincent Saugey <vince@mandrakesoft.com> 2.9.4-2mdk
- Adding man page in package !!!

* Fri Oct 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.9.4-1mdk
- updated to 2.9.4
- remove backup files

* Mon Oct 02 2000 Florin Grad <florin@mandrakesoft.com> 2.9.0pre24-1mdk
- lot of spec restructuring
- new beta version

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.8.12-1mdk
- BM
- macros
- v2.8.12

* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.8.9-3mdk
- fix group
- clean spec

* Tue Dec 21 1999 Philippe Libat <philippe@mandrakesoft.com>
- [2.8.9]
  Install locales_mrtg.pm in %{siteperldir}

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reprefixing to /usr (RTFHS).

* Wed Jul 14 1999 Oden Eriksson <oden.eriksson@kvikkjokk.net>
  [2.7.5]
  Moved over to /usr/local/
  Removed the stupid GIF89a feature.
  
* Tue Mar  2 1999 Henri Gomez <gomez@slib.fr>
  [2.6.6]
  
* Wed Feb 17 1999 Henri Gomez <gomez@slib.fr>
  [2.6.4]
- removed mrtg-squid (specific OIDS)
- cfgmaker and indexmaker now /usr/bin
- libgd must be >= 1.3

* Fri Jan 29 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-3]
- Added mrtg-squid to monitor squid (specific OIDS)

* Fri Jan 28 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-2]
- applied squid snmp patch

* Wed Jan 27 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-1] 
- upgraded to 2.5.4c.
- added require libgd-devel

* Mon Nov 30 1998 Arne Coucheron <arneco@online.no>
  [2.5.4a-1]

* Thu Jun 18 1998 Arne Coucheron <arneco@online.no>
  [2.5.3-1]
- using %%{name} and %%{version} macros
- using %defattr macro in filelist
- using install -d in various places instead of cp
- added -q parameter to %setup
- removed older changelogs
